For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETGet agent version metadata
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsVersions

Get agent version metadata

GET
/v1/convai/agents/:agent_id/versions/:version_id
GET
/v1/convai/agents/:agent_id/versions/:version_id
$curl https://api.elevenlabs.io/v1/convai/agents/agent_id/versions/version_id \
> -H "Content-Type: application/json"
1{
2 "id": "agtvrsn_0901k4aafjxxfxt93gd841r7tv5t",
3 "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
4 "branch_id": "branch_5f8d7a9c2b1e4d3f9a7c1234",
5 "version_description": "Initial release with basic conversational capabilities",
6 "seq_no_in_branch": 3,
7 "time_committed_secs": 1682544000,
8 "parents": {
9 "in_branch_parent_id": "agtvrsn_0801j3aafjxxfxt93gd841r7tv5s",
10 "out_of_branch_parent_id": null,
11 "merged_into_branch_id": null,
12 "merged_from_branch_id": null,
13 "merged_from_version_id": null
14 },
15 "access_info": {
16 "is_creator": true,
17 "creator_name": "John Doe",
18 "creator_email": "john.doe@example.com",
19 "role": "admin",
20 "access_source": "creator"
21 }
22}
Get metadata for a specific agent version
Was this page helpful?
Previous

Create agent

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
version_idstringRequired
Unique identifier for the version.

Headers

xi-api-keystringOptional

Response

Successful Response
idstring
agent_idstring
branch_idstring
version_descriptionstring
seq_no_in_branchinteger
time_committed_secsinteger
parentsobject
access_infoobject or null

Errors

422
Unprocessable Entity Error